From 69259fa4f5fb0f28cbceda63fb2f2f425bcab7d8 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Tue, 30 Aug 2016 12:00:00 -0400
Subject: [PATCH 06/27] Remove unnecessary prototypes

Prototypes for functions implementing V1-callable functions are no
longer necessary.
---
 contrib/bloom/bloom.h           |  1 -
 contrib/btree_gist/btree_gist.h | 10 ----------
 contrib/dblink/dblink.h         | 24 ------------------------
 contrib/isn/isn.h               | 19 -------------------
 contrib/pgcrypto/pgcrypto.h     | 13 -------------
 contrib/tablefunc/tablefunc.h   |  9 ---------
 6 files changed, 76 deletions(-)

diff --git a/contrib/bloom/bloom.h b/contrib/bloom/bloom.h
index bc451a0..18f5127 100644
--- a/contrib/bloom/bloom.h
+++ b/contrib/bloom/bloom.h
@@ -174,7 +174,6 @@ typedef BloomScanOpaqueData *BloomScanOpaque;
 
 /* blutils.c */
 extern void _PG_init(void);
-extern Datum blhandler(PG_FUNCTION_ARGS);
 extern void initBloomState(BloomState *state, Relation index);
 extern void BloomFillMetapage(Relation index, Page metaPage);
 extern void BloomInitMetapage(Relation index);
diff --git a/contrib/btree_gist/btree_gist.h b/contrib/btree_gist/btree_gist.h
index dcffbb5..191202a 100644
--- a/contrib/btree_gist/btree_gist.h
+++ b/contrib/btree_gist/btree_gist.h
@@ -34,14 +34,4 @@ enum gbtree_type
 	gbt_t_inet
 };
 
-
-
-/*
- * Generic btree functions
- */
-
-Datum		gbtreekey_in(PG_FUNCTION_ARGS);
-
-Datum		gbtreekey_out(PG_FUNCTION_ARGS);
-
 #endif
diff --git a/contrib/dblink/dblink.h b/contrib/dblink/dblink.h
index 1b94912..1102236 100644
--- a/contrib/dblink/dblink.h
+++ b/contrib/dblink/dblink.h
@@ -36,28 +36,4 @@
 
 #include "fmgr.h"
 
-/*
- * External declarations
- */
-extern Datum dblink_connect(PG_FUNCTION_ARGS);
-extern Datum dblink_disconnect(PG_FUNCTION_ARGS);
-extern Datum dblink_open(PG_FUNCTION_ARGS);
-extern Datum dblink_close(PG_FUNCTION_ARGS);
-extern Datum dblink_fetch(PG_FUNCTION_ARGS);
-extern Datum dblink_record(PG_FUNCTION_ARGS);
-extern Datum dblink_send_query(PG_FUNCTION_ARGS);
-extern Datum dblink_get_result(PG_FUNCTION_ARGS);
-extern Datum dblink_get_connections(PG_FUNCTION_ARGS);
-extern Datum dblink_is_busy(PG_FUNCTION_ARGS);
-extern Datum dblink_cancel_query(PG_FUNCTION_ARGS);
-extern Datum dblink_error_message(PG_FUNCTION_ARGS);
-extern Datum dblink_exec(PG_FUNCTION_ARGS);
-extern Datum dblink_get_pkey(PG_FUNCTION_ARGS);
-extern Datum dblink_build_sql_insert(PG_FUNCTION_ARGS);
-extern Datum dblink_build_sql_delete(PG_FUNCTION_ARGS);
-extern Datum dblink_build_sql_update(PG_FUNCTION_ARGS);
-extern Datum dblink_current_query(PG_FUNCTION_ARGS);
-extern Datum dblink_get_notify(PG_FUNCTION_ARGS);
-extern Datum dblink_fdw_validator(PG_FUNCTION_ARGS);
-
 #endif   /* DBLINK_H */
diff --git a/contrib/isn/isn.h b/contrib/isn/isn.h
index d8291c2..e1a52b2 100644
--- a/contrib/isn/isn.h
+++ b/contrib/isn/isn.h
@@ -30,25 +30,6 @@ typedef uint64 ean13;
 #define PG_GETARG_EAN13(n) PG_GETARG_INT64(n)
 #define PG_RETURN_EAN13(x) PG_RETURN_INT64(x)
 
-extern Datum isn_out(PG_FUNCTION_ARGS);
-extern Datum ean13_out(PG_FUNCTION_ARGS);
-extern Datum ean13_in(PG_FUNCTION_ARGS);
-extern Datum isbn_in(PG_FUNCTION_ARGS);
-extern Datum ismn_in(PG_FUNCTION_ARGS);
-extern Datum issn_in(PG_FUNCTION_ARGS);
-extern Datum upc_in(PG_FUNCTION_ARGS);
-
-extern Datum isbn_cast_from_ean13(PG_FUNCTION_ARGS);
-extern Datum ismn_cast_from_ean13(PG_FUNCTION_ARGS);
-extern Datum issn_cast_from_ean13(PG_FUNCTION_ARGS);
-extern Datum upc_cast_from_ean13(PG_FUNCTION_ARGS);
-
-extern Datum is_valid(PG_FUNCTION_ARGS);
-extern Datum make_valid(PG_FUNCTION_ARGS);
-
-extern Datum accept_weak_input(PG_FUNCTION_ARGS);
-extern Datum weak_input_status(PG_FUNCTION_ARGS);
-
 extern void initialize(void);
 
 #endif   /* ISN_H */
diff --git a/contrib/pgcrypto/pgcrypto.h b/contrib/pgcrypto/pgcrypto.h
index dfc7a10..65a1ed3 100644
--- a/contrib/pgcrypto/pgcrypto.h
+++ b/contrib/pgcrypto/pgcrypto.h
@@ -34,17 +34,4 @@
 
 #include "fmgr.h"
 
-/* exported functions */
-Datum		pg_digest(PG_FUNCTION_ARGS);
-Datum		pg_hmac(PG_FUNCTION_ARGS);
-Datum		pg_gen_salt(PG_FUNCTION_ARGS);
-Datum		pg_gen_salt_rounds(PG_FUNCTION_ARGS);
-Datum		pg_crypt(PG_FUNCTION_ARGS);
-Datum		pg_encrypt(PG_FUNCTION_ARGS);
-Datum		pg_decrypt(PG_FUNCTION_ARGS);
-Datum		pg_encrypt_iv(PG_FUNCTION_ARGS);
-Datum		pg_decrypt_iv(PG_FUNCTION_ARGS);
-Datum		pg_random_bytes(PG_FUNCTION_ARGS);
-Datum		pg_random_uuid(PG_FUNCTION_ARGS);
-
 #endif
diff --git a/contrib/tablefunc/tablefunc.h b/contrib/tablefunc/tablefunc.h
index 3477ed8..34d44a8 100644
--- a/contrib/tablefunc/tablefunc.h
+++ b/contrib/tablefunc/tablefunc.h
@@ -36,13 +36,4 @@
 
 #include "fmgr.h"
 
-/*
- * External declarations
- */
-extern Datum normal_rand(PG_FUNCTION_ARGS);
-extern Datum crosstab(PG_FUNCTION_ARGS);
-extern Datum crosstab_hash(PG_FUNCTION_ARGS);
-extern Datum connectby_text(PG_FUNCTION_ARGS);
-extern Datum connectby_text_serial(PG_FUNCTION_ARGS);
-
 #endif   /* TABLEFUNC_H */
-- 
2.9.3

